org.apache.mina.util.byteaccess

## Interface IoRelativeReader

- All Known Subinterfaces:
    ByteArray.Cursor
  All Known Implementing Classes:
    CompositeByteArrayRelativeReader

      public interface IoRelativeReader

  Provides relative read access to a sequence of bytes.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()` Gets a `byte` and advances the reader.
    `void` | `get(IoBuffer bb)` Gets enough bytes to fill the `IoBuffer` and advances the reader.
    `char` | `getChar()` Gets a `char` and advances the reader.
    `double` | `getDouble()` Gets a `double` and advances the reader.
    `float` | `getFloat()` Gets a `float` and advances the reader.
    `int` | `getInt()` Gets an `int` and advances the reader.
    `long` | `getLong()` Gets a `long` and advances the reader.
    `int` | `getRemaining()` Gets the number of remaining bytes that can be read.
    `short` | `getShort()` Gets a `short` and advances the reader.
    `boolean` | `hasRemaining()` Checks if there are any remaining bytes that can be read.
    `ByteOrder` | `order()` Gets the order of the bytes.
    `void` | `skip(int length)` Advances the reader by the given number of bytes.
    `ByteArray` | `slice(int length)` Creates an array with a view of part of this array.

- - ### Method Detail

    - #### getRemaining

          int getRemaining()

      Gets the number of remaining bytes that can be read.

    - #### hasRemaining

          boolean hasRemaining()

      Checks if there are any remaining bytes that can be read.

    - #### skip

          void skip(int length)

      Advances the reader by the given number of bytes.

    - #### slice

          ByteArray slice(int length)

      Creates an array with a view of part of this array.

    - #### order

          ByteOrder order()

      Gets the order of the bytes.

    - #### get

          byte get()

      Gets a `byte` and advances the reader.

    - #### get

          void get(IoBuffer bb)

      Gets enough bytes to fill the `IoBuffer` and advances the reader.

    - #### getShort

          short getShort()

      Gets a `short` and advances the reader.

    - #### getInt

          int getInt()

      Gets an `int` and advances the reader.

    - #### getLong

          long getLong()

      Gets a `long` and advances the reader.

    - #### getFloat

          float getFloat()

      Gets a `float` and advances the reader.

    - #### getDouble

          double getDouble()

      Gets a `double` and advances the reader.

    - #### getChar

          char getChar()

      Gets a `char` and advances the reader.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.